fann_create_train_from_callback
fann_descale_input
Fann Functions
PHP Manual

# fann_create_train

(PECL fann >= 1.0.0)

fann_create_train — Creates an empty training data struct

### Description

resource fann_create_train ( int `$num_data` , int `$num_input` , int `$num_output` )

Creates an empty training data struct.

### Parameters

`num_data`

  The number of training data

`num_input`

  The number of inputs per training data

`num_output`

  The number of ouputs per training data

### Return Values

Returns a train data resource on success, or `FALSE` on error.

### See Also

- fann_read_train_from_file() - Reads a file that stores training data
- fann_train_on_data() - Trains on an entire dataset for a period of time
- fann_destroy_train() - Destructs the training data
- fann_save_train() - Save the training structure to a file

fann_create_train_from_callback
fann_descale_input
Fann Functions
PHP Manual